[Israel.pm] problem packing using pp

eran meiri emeiri at gmail.com
Mon Apr 8 01:50:50 PDT 2013


The version that was in my old laptop was 0.9909 which was much older. The
current works as long as I don't try to pack it.
בתאריך 8 באפר 2013 11:42, מאת "sawyer x" <xsawyerx at gmail.com>:

> What you should care about is what the version was when it worked. It
> might have been 0.9900 (for example) and then the changes between those
> versions would have been the reason.
>
> On Mon, Apr 8, 2013 at 11:37 AM, eran meiri <emeiri at gmail.com> wrote:
>
>> I am using 0.9917 and the new version is 0.9918. You think it might be
>> related?
>> בתאריך 8 באפר 2013 10:56, מאת "sawyer x" <xsawyerx at gmail.com>:
>>
>> I saw that there was a recent release of Wx. I checked the Changes log
>>> and I don't see a reason it would break anything, but... which version of
>>> Wx are you using? Maybe some newer version broke something, maybe you have
>>> an outdated version that you need to upgrade?
>>>
>>> Have you tried emailing the author of PAR::Packer or Wx? They might be
>>> able to diagnose this very quickly.
>>>
>>> On Sun, Apr 7, 2013 at 9:10 PM, eran meiri <emeiri at gmail.com> wrote:
>>>
>>>> Hi all ,
>>>> I have encountered a problem when I tried to pack a script using pp
>>>> utility and I hope that someone might help me.
>>>> my OS is windows 7 and I use strawberry.
>>>> the modules that I want to pack in my script are:
>>>> use strict;
>>>> use Wx;
>>>> use Net::Telnet;
>>>> use Net::FTP;
>>>> use Time::Local;
>>>> I use the command pp -o new.exe pusher_25.pl - the exe should be the
>>>> output.
>>>> the packing seems to be working but when I try to run the exe output
>>>> file I get an error message :
>>>>
>>>> Can't load
>>>> 'C:\Users\emeiri\AppData\Local\Temp\par-656d65697269\cache-813c3ab5d8
>>>> 6ea3a9576ea1204f266554e6db7318\4a864d38.dll' for module Wx:
>>>> load_file:%1 is not
>>>> a valid Win32 application at C:/strawberry/perl/lib/DynaLoader.pm line
>>>> 190.
>>>>  at C:/strawberry/perl/vendor/lib/PAR/Heavy.pm line 120.
>>>> Compilation failed in require at script/pusher_25.pl line 3.
>>>> BEGIN failed--compilation aborted at script/pusher_25.pl line 3.
>>>>
>>>> I used par and pp before in my last laptop that was win7 OS as well,
>>>> with the same script but now for some reason it is not working.
>>>>
>>>> any help would be appreciated.
>>>>
>>>> _______________________________________________
>>>> Perl mailing list
>>>> Perl at perl.org.il
>>>> http://mail.perl.org.il/mailman/listinfo/perl
>>>>
>>>
>>>
>>> _______________________________________________
>>> Perl mailing list
>>> Perl at perl.org.il
>>> http://mail.perl.org.il/mailman/listinfo/perl
>>>
>>
>> _______________________________________________
>> Perl mailing list
>> Perl at perl.org.il
>> http://mail.perl.org.il/mailman/listinfo/perl
>>
>
>
> _______________________________________________
> Perl mailing list
> Perl at perl.org.il
> http://mail.perl.org.il/mailman/listinfo/perl
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.perl.org.il/pipermail/perl/attachments/20130408/a5d26d36/attachment-0001.htm 


More information about the Perl mailing list